package com.dxhy.core.job.service;

import com.dxhy.api.model.config.CollectionControlModel;

import java.util.Map;

/**
 * 统计接口 -- 以及确认接口
 *
 * @author futianhao
 */

public interface ApplyService {
    /**
     * 查询申请数据
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @return void
     */
    void getDataForApply();

    /**
     * 获取统计结果
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @return void
     */
    void getApplyStatResult();

    /**
     * 流水号
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @return java.lang.String
     */
    String makeExchangeId();

    /**
     * 获取统计确认数据
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @return void
     */
    void getDataForConfrim();

    /**
     * 获取统计确认结果
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @return void
     */
    void getApplyConfirmResult();

    /**
     * 获取历史信息
     *
     * @author 陈刚扬
     * @date 2020/10/30
     */
    void getHistoryMsg();

    /**
     * 设置密码
     *
     * @param params
     *            密码信息
     * @return 返回
     */
    String setPwd(Map<String, String> params);

    /**
     * 重置密码
     *
     * @param params
     *            密码信息
     * @return 返回
     */
    String resetPwd(Map<String, String> params);

    /**
     * @Description 退税确认申请
     * @Author wangruwei
     * @Date 2024/3/14 15:26
     *
     * @param collectionControlModel*/
    void taxRefundApply(CollectionControlModel collectionControlModel);
    /**
     * @Description 退税确认结果
     * @Author wangruwei
     * @Date 2024/3/14 15:26
     **/
    void taxRefundApplyResult(CollectionControlModel collectionControlModel);

    /**
     * @Description 页面退税确认申请
     * @Author wangruwei
     * @Date 2024/3/14 15:26
     **/
    Map<String,String> taxRefundApplyPage(String nsrsbh,String rzhBelongDate);
}
